/*
 * Amaze - QT downloader for the Amazon MP3 store
 * Copyright (c) 2009-2011 Robert Keevil
 *
 * This program is free software: you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef CONSOLE_H
#define CONSOLE_H

#include <QTimer>
#include <QApplication>
#include <QtGui>
#include "amaze.h"

class QTimer;

class Console : public QDialog
{
    Q_OBJECT
private:
    Amaze *amaze;
    QTextEdit *edtConsole;
    QTimer *timerConsole;
    QComboBox *comboLevel;
    QLabel *lblCombo;
    QPushButton *btncopy;
    int log_pos;
    int current_level;
    void read_all_logs();
    void read_logs(int, int);

private slots:
    void update();
    void set_spin_level(int);
    void copy();

public:
    Console(Amaze *parent);
    ~Console();
};

#endif
